Package org.apache.tapestry5.corelib.components

# Class Hidden

java.lang.Object
org.apache.tapestry5.corelib.components.Hidden

All Implemented Interfaces:
  `ClientElement`

@SupportsInformalParameters public class Hidden extends Object implements ClientElement
Used to record a page property as a value into the form. The value is encoded when the form is rendered, then decoded after the form is submitted back to the server, and the "value" parameter updated. The encoding and decoding is done via a `ValueEncoder`, therefore you must either bind the "encoder" parameter to a ValueEncoder or use an entity type for the "value" parameter for which Tapestry can provide a ValueEncoder automatically.

Since:
  5.1.0.2

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
encoder | org.apache.tapestry5.ValueEncoder | Required |  | prop
A ValueEncoder used to convert the server-side object provided by the "value" parameter into a unique client-side string (typically an ID) and back. Note: this parameter may be OMITTED if Tapestry is configured to provide a ValueEncoder automatically for the type of property bound to the "value" parameter.
nulls | org.apache.tapestry5.NullFieldStrategy |  | default | nullfieldstrategy
Defines how nulls on the server side, or sent from the client side, are treated. The selected strategy may replace the nulls with some other value. The default strategy leaves nulls alone. Another built-in strategy, zero, replaces nulls with the value 0.
value | Object | Required |  | prop
The value to read (when rendering) or update (when the form is submitted).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hidden()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientId()`
  `String`
  `getControlName()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Hidden

    public Hidden()

- ## Method Details

  - ### getClientId

    public String getClientId()
    Specified by:
      `getClientId` in interface `ClientElement`
    Returns:
      a unique id for the element. This value will be unique for any given rendering of a page. This value is intended for use as the id attribute of the client-side element, and will be used with any DHTML/Ajax related JavaScript.

  - ### getControlName

    public String getControlName()